<template>
  <li class="entry-instance">
    <div class="wrapper-image">
      <img
        v-if="image && props.image.url"
        :src="img(props.image.url)"
        :alt="props.image.alt"
        loading="lazy"
        class="image"
      />
    </div>
    <div class="wrapper-title">
      <span>{{ name }}</span>
    </div>
    <div class="wrapper-text">
      <img src="@/assets/images/planet.svg" class="icon" />
      <div class="corpus-text">
        <span class="subtitle">{{ subtitleLocalization }}</span>
        <span class="text">{{ descriptionLocalization }} </span>
      </div>
    </div>
    <div class="wrapper-text second-text">
      <img src="@/assets/images/copyright.svg" class="icon" />
      <div class="corpus-text">
        <span class="subtitle">{{ subtitleLicense }}</span>
        <span class="text" v-html="descriptionLicense"></span>
      </div>
    </div>
    <div v-if="props.url" class="wrapper-links">
      <div class="link">
        <Link
          :text="$t('pages.home.instance_explore')"
          :url="props.url"
          type="external"
          target="_blank"
          look="link--blue"
        />
      </div>
      <div v-if="name !== 'MapComplete'" class="link">
        <Link
          :text="$t('pages.home.instance_contribute')"
          :url="`${props.url}pourquoi-contribuer`"
          type="external"
          target="_blank"
          look="link--blue"
        />
      </div>
    </div>
  </li>
</template>

<script setup lang="ts">
import Link from '@/components/Link.vue'
import type { Image } from '@/interfaces'
import { img } from '@/utils/image'
interface Props {
  name: string
  subtitleLocalization: string
  descriptionLocalization: string
  subtitleLicense: string
  descriptionLicense: string
  url: string
  image: Image
}
const props = defineProps<Props>()
</script>

<style scoped>
.entry-instance {
  border-radius: 1.5rem;
  background-color: var(--white);
  width: 50%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.wrapper-image {
  padding: 3.5rem;
  display: flex;
  justify-content: center;
  border-bottom: 0.1rem solid var(--blue-semi);
}
.wrapper-title {
  font-size: 1.8rem;
  font-weight: bold;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 2rem;
  border-bottom: 0.1rem solid var(--blue-semi);
  min-height: 7rem;
}
.wrapper-text {
  display: flex;
  padding: 3rem;
  border-bottom: 0.1rem solid var(--blue-semi);
}
.second-text {
  border-bottom: none;
}
.corpus-text {
  display: flex;
  flex-direction: column;
  color: var(--grey-dark);
}
.icon {
  height: 1.7rem;
  margin-right: 0.7rem;
}
.subtitle {
  font-weight: bold;
  margin-bottom: 1rem;
}
.image {
  height: 6rem;
}
.entry-instance:nth-child(2) {
  margin-right: 2rem;
  margin-left: 2rem;
}
.wrapper-links {
  display: flex;
}
.link {
  width: 100%;
  height: 6rem;
  display: flex;
  justify-content: center;
  background-color: var(--blue-ligth);
  font-weight: 700;
}
.link:first-child {
  background-color: var(--blue-semi-ligth);
  border-bottom-left-radius: 1.5rem;
}
.link:last-child {
  border-bottom-right-radius: 1.5rem;
}
@media (max-width: 1324px) {
  .link {
    padding: 1rem;
  }
  .wrapper-text,
  .wrapper-title {
    padding-right: 1.5rem;
    padding-left: 1.5rem;
  }
}
@media (max-width: 1024px) {
  .wrapper-links {
    flex-direction: column;
  }
  .link:first-child {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
  }
  .link:last-child {
    border-bottom-left-radius: 1.5rem;
    border-bottom-right-radius: 1.5rem;
  }
  .entry-instance {
    width: 100%;
    margin-bottom: 2rem;
  }
}
</style>
